Bug 14661 - Missing iptables module "time#
: Missing iptables module "time#
Status: CLOSED WONTFIX
: Branch 4.0
(All bugs in Branch 4.0/iptables)
: 4.0
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-26 18:35 by
Modified: 2009-06-03 02:59 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-26 18:35:08
При попытке создать правило:
# iptables -A INPUT -p tcp -d 80 -m time --timestart 04:00 --timestop 06:30
--syn -j REJECT
Получаем ответ:
iptables v1.3.7: Couldn't load match `time':/lib/iptables/libipt_time.so: cannot
open shared object file: No such file or directory

И действительно:
ls /lib/iptables | grep -i time | wc -l
0
------- Comment #1 From 2008-02-27 11:15:35 -------
Раскопки показали, что в исходниках iptables выполняется некая проверка
> cat .time-test 
#!/bin/sh
# True if time is applied.
[ -f $KERNEL_DIR/include/linux/netfilter_ipv4/ipt_time.h ] && echo time
возвращает отрицательный результат, потому как ipt_time.h отсутсвует в
/usr/include/linux/netfilter_ipv4

Попытка собрать на коленке iptables-1.4.0
нужный модуль собирает, так как уже не проверяет наличие ipt_time.h, а своим
умом живет.

Вследсвие своей низкой компетентности вопрос о переходе на iptables-1.4.0 даже
и
не поднимаю.
------- Comment #2 From 2008-06-13 12:59:26 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #3 From 2009-01-20 01:30:44 -------
(In reply to comment #0)

Кроме отсутствия самого модуля для iptables, нет поддержки этого модуля и в
ядрере. Как вариант, поставить более новое ядро из бранча 4.1 или 5.0 и
обновить iptables из бранча 5.0
------- Comment #4 From 2009-06-03 02:59:15 -------
Планов по добавлению в бранче 4.0 этого модуля в iptables и/или ядре у меня
нет.